Name:          python-gitdb
Version:       4.0.5
Release:       %mkrel 1
Summary:       A pure-Python git object database
Group:         Development/Python
License:       BSD
URL:           https://github.com/gitpython-developers/gitdb
Source:        https://github.com/gitpython-developers/gitdb/archive/%{version}/gitdb-%{version}.tar.gz
BuildArch:     noarch

%description
GitDB allows you to access bare git repositories for reading and writing. It
aims at allowing full access to loose objects as well as packs with performance
and scalability in mind. It operates exclusively on streams, allowing to
operate on large objects with a small memory footprint.

%package -n python3-gitdb
Summary:       A pure-Python 3 git object database
Group:         Development/Python
BuildArch:     noarch
BuildRequires: pkgconfig(python3)
BuildRequires: python3dist(setuptools)
BuildRequires: python3dist(nose)
%{?python_provide:%python_provide python3-gitdb}

%description -n python3-gitdb
GitDB allows you to access bare git repositories for reading and writing. It
aims at allowing full access to loose objects as well as packs with performance
and scalability in mind. It operates exclusively on streams, allowing to
operate on large objects with a small memory footprint.

This is the Python 3 version of the package.

%prep
%setup -q -n gitdb-%{version}
%autopatch -p1

%build
%py3_build

%install
%py3_install

%files -n python3-gitdb
%doc AUTHORS LICENSE
%{python3_sitelib}/*


%changelog
* Wed Sep 16 2020 guillomovitch <guillomovitch> 4.0.5-1.mga8
+ Revision: 1627182
- new version 4.0.5

* Fri May 01 2020 daviddavid <daviddavid> 4.0.1-1.mga8
+ Revision: 1577529
- new version: 4.0.1

* Sun Feb 16 2020 umeabot <umeabot> 2.0.6-2.mga8
+ Revision: 1535058
- Mageia 8 Mass Rebuild

* Wed Oct 09 2019 daviddavid <daviddavid> 2.0.6-1.mga8
+ Revision: 1450803
- new version: 2.0.6

* Wed Sep 18 2019 tv <tv> 2.0.5-3.mga8
+ Revision: 1443321
- rebuild for python-3.8
- drop python2 subpkg

* Sat Jan 12 2019 daviddavid <daviddavid> 2.0.5-2.mga7
+ Revision: 1355431
- python-async is no more needed

* Wed Jan 09 2019 shlomif <shlomif> 2.0.5-1.mga7
+ Revision: 1353181
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 2.0.3-3.mga7
+ Revision: 1288923
- Mageia 7 Mass Rebuild

* Thu Mar 22 2018 daviddavid <daviddavid> 2.0.3-2.mga7
+ Revision: 1211198
- this is a noarch package now
- fix requires

* Tue Mar 20 2018 kekepower <kekepower> 2.0.3-1.mga7
+ Revision: 1210814
- Update to version 2.0.3
- Renamed python-gitdb to python2-gitdb

* Sat Aug 05 2017 pterjan <pterjan> 0.6.4-2.mga7
+ Revision: 1135436
- Rebuild for python 3.6

* Tue Jan 19 2016 fwang <fwang> 0.6.4-1.mga6
+ Revision: 925784
- 0.6.4

* Wed Oct 15 2014 umeabot <umeabot> 0.5.4-9.mga5
+ Revision: 746636
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.5.4-8.mga5
+ Revision: 728552
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.5.4-7.mga5
+ Revision: 688052
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.5.4-5.mga4
+ Revision: 543501
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.5.4-4.mga4
+ Revision: 498684
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.5.4-3.mga3
+ Revision: 378900
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 20 2011 fwang <fwang> 0.5.4-2.mga2
+ Revision: 127002
- add req

* Wed Jul 20 2011 fwang <fwang> 0.5.4-1.mga2
+ Revision: 126953
- imported package python-gitdb

